using BinaryDad.AacpsBusAlert.Services;
using Microsoft.AspNetCore.Mvc;

namespace BinaryDad.AacpsBusAlert.Web.Controllers
{
    [Route("api")]
    public class ApiController : Controller
    {
        private readonly IBusRouteService busRouteService;

        public ApiController(IBusRouteService busRouteService)
        {
            this.busRouteService = busRouteService;
        }

        [Route("routes")]
        public Task<ICollection<BusRoute>> GetBusRoutesAsync()
        {
            return busRouteService.GetBusRoutesAsync();
        }
    }
}
